LotusSpreadsheetInternal::ExtraStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::ExtraStyle Struct Reference

the extra style More...

## Public Member Functions
| ExtraStyle ()
| constructor More...
bool | empty () const
| returns true if the style is empty More...
void | update (Style &style) const
| update the cell style More...

## Public Attributes
WPSColor | m_color
| the font color More...
WPSColor | m_backColor
| the backgroun color More...
int | m_format
| the format More...
int | m_flag
| the second flag: graph More...
int | m_borders
| the border More...

## Detailed Description

the extra style

## Constructor & Destructor Documentation

## ◆ ExtraStyle()

LotusSpreadsheetInternal::ExtraStyle::ExtraStyle | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool LotusSpreadsheetInternal::ExtraStyle::empty | ( |  | ) | const
| inline

returns true if the style is empty

## ◆ update()

void LotusSpreadsheetInternal::ExtraStyle::update | ( | Style & | style | ) | const
| inline

update the cell style

## Member Data Documentation

## ◆ m_backColor

WPSColor LotusSpreadsheetInternal::ExtraStyle::m_backColor

the backgroun color

Referenced by empty(), LotusSpreadsheet::readExtraRowFormats(), and update().

## ◆ m_borders

int LotusSpreadsheetInternal::ExtraStyle::m_borders

the border

Referenced by empty(), LotusSpreadsheet::readExtraRowFormats(), and update().

## ◆ m_color

WPSColor LotusSpreadsheetInternal::ExtraStyle::m_color

the font color

Referenced by empty(), LotusSpreadsheet::readExtraRowFormats(), and update().

## ◆ m_flag

int LotusSpreadsheetInternal::ExtraStyle::m_flag

the second flag: graph

Referenced by LotusSpreadsheet::readExtraRowFormats().

## ◆ m_format

int LotusSpreadsheetInternal::ExtraStyle::m_format

the format

Referenced by empty(), LotusSpreadsheet::readExtraRowFormats(), and update().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp